apiVersion: gateway.tsb.tetrate.io/v2
kind: IngressGateway
metadata:
  name: helloworld-gateway
  group: helloworld-gw
  workspace: helloworld-ws
  tenant: default
  organization: tetrate
spec:
  workloadSelector:
    namespace: helloworld
    labels:
      app: tsb-helloworld-gateway
  http:
  - name: helloworld
    port: 443
    hostname: helloworld.senserrich-test.tk
    tls:
      mode: SIMPLE
      secretName: helloworld-cert
    routing:
      rules:
      - route:
          host: helloworld/helloworld
